summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2015-11-26 23:44:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-28 07:25:59 +0700
commit15a257f123049a501393b53a24a92cf3a73005af (patch)
treecc6125d3876eca27f9d7819992c0a9cc88eae15d /system
parent4e342637f260b66b1f762eacddd35e96c1f9b25a (diff)
downloadslackbuilds-15a257f123049a501393b53a24a92cf3a73005af.tar.gz
slackbuilds-15a257f123049a501393b53a24a92cf3a73005af.tar.xz
system/gpart: Added (Guess PC-type hard disk partitions).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/gpart/README12
-rw-r--r--system/gpart/gpart.SlackBuild104
-rw-r--r--system/gpart/gpart.info10
-rw-r--r--system/gpart/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/system/gpart/README b/system/gpart/README
new file mode 100644
index 0000000000..8e009c9902
--- /dev/null
+++ b/system/gpart/README
@@ -0,0 +1,12 @@
+Gpart is a small tool which tries to guess what partitions are on a PC type,
+MBR-partitioned hard disk in case the primary partition table was damaged.
+
+Gpart works by scanning through the device (or file) given on the command
+line on a sector basis. Each guessing module is asked if it thinks a
+filesystem it knows about could start at a given sector. Several
+filesystem guessing modules are built in.
+
+Supported (guessable) filesystem or partition types:
+DOS/Windows FAT, Linux ext2 and swap, OS/2 HPFS, Windows NTFS,
+FreeBSD and Solaris/x86 disklabels, Minix FS, QNX 4 FS, Reiser FS,
+LVM physical volumes, BeOS FS, SGI XFS.
diff --git a/system/gpart/gpart.SlackBuild b/system/gpart/gpart.SlackBuild
new file mode 100644
index 0000000000..f3a2770ef4
--- /dev/null
+++ b/system/gpart/gpart.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for gpart
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gpart
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# generate the configure file
+sed '/configure/d' -i autogen.sh
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --datarootdir=/usr/share \
+ --mandir=/usr/man \
+ --datadir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# don't need this
+rm -rf $PKG/usr/doc/${PRGNAM}-$VERSION/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changes INSTALL LSM README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gpart/gpart.info b/system/gpart/gpart.info
new file mode 100644
index 0000000000..4b7e39858d
--- /dev/null
+++ b/system/gpart/gpart.info
@@ -0,0 +1,10 @@
+PRGNAM="gpart"
+VERSION="0.3"
+HOMEPAGE="https://github.com/baruch/gpart"
+DOWNLOAD="https://github.com/baruch/gpart/archive/0.3.tar.gz"
+MD5SUM="2d709068b5123198b3eb337f9d4686a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/system/gpart/slack-desc b/system/gpart/slack-desc
new file mode 100644
index 0000000000..c9b1129bfa
--- /dev/null
+++ b/system/gpart/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gpart: gpart (Guess PC-type hard disk partitions)
+gpart:
+gpart: A tool which tries to guess the primary partition table of a PC-type
+gpart: hard disk in case the primary partition table in sector 0 is damaged,
+gpart: incorrect or deleted. The guessed table can be written to a file or
+gpart: device.
+gpart:
+gpart: Homepage: https://github.com/baruch/gpart
+gpart:
+gpart:
+gpart: